View Issue Details

IDProjectCategoryView StatusLast Update
0004578Talerexchange API (HTTP specification)public2016-10-11 17:28
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritylowSeveritytweakReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Version0.0 
Target Version0.1Fixed in Version0.1 
Summary0004578: execution time of wire transfer sometimes unavailable
DescriptionThe merchant backend currently stores a wire transfer execution time of zero if
it looks up a wire transfer details by wire transfer identifier.

In this case, the application does not provide the wire transfer date, and neither does the exchange, so we simply don't have it.

However, if we lookup a wire transfer by transaction ID, then the exchange tells us the execution time and we do store it. We probably want to change the exchange API to return the wire transfer execution time even if it is the client running /track/transfer, so that we don't have this unusual case of storing zero in the DB.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2016-06-11 20:52 Christian Grothoff New Issue
2016-06-11 20:52 Christian Grothoff Status new => assigned
2016-06-11 20:52 Christian Grothoff Assigned To => Christian Grothoff
2016-06-11 20:53 Christian Grothoff Target Version => 0.2
2016-09-26 15:20 Christian Grothoff Status assigned => resolved
2016-09-26 15:20 Christian Grothoff Fixed in Version => 0.1
2016-09-26 15:20 Christian Grothoff Resolution open => fixed
2016-09-26 15:20 Christian Grothoff Target Version 0.2 => 0.1
2016-10-11 17:28 Christian Grothoff Status resolved => closed